//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "selectfilter.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
Tfilterform *filterform;
//---------------------------------------------------------------------------
__fastcall Tfilterform::Tfilterform(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_echoClick(TObject *Sender)
{
  mainform->batch->Items->Add("Echo " + AnsiString(echo_delay->Text) + " " + AnsiString(echo_wet->Position));
  filterform->Close();
}
//---------------------------------------------------------------------------


void __fastcall Tfilterform::echo_wetChange(TObject *Sender)
{
 echo_wet_label->Caption = AnsiString(echo_wet->Position) + "%";
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::Button1Click(TObject *Sender)
{
  mainform->batch->Items->Add("Reverse");
  filterform->Close();
}
//---------------------------------------------------------------------------


void __fastcall Tfilterform::stretch_percentChange(TObject *Sender)
{
stretch_percent_label->Caption = AnsiString(stretch_percent->Position) + "%";
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_stretchClick(TObject *Sender)
{
  mainform->batch->Items->Add("Stretch " + AnsiString(stretch_percent->Position));
  filterform->Close();
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_lowpassClick(TObject *Sender)
{
  mainform->batch->Items->Add("Low_pass " + AnsiString(co_low_pass->Position));
  filterform->Close();
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_fade_inClick(TObject *Sender)
{
  mainform->batch->Items->Add("Fade_in " + AnsiString(fadein_ms->Text));
  filterform->Close();
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_fade_outClick(TObject *Sender)
{
  mainform->batch->Items->Add("Fade_out " + AnsiString(fadein_ms->Text));
  filterform->Close();
}
//---------------------------------------------------------------------------


void __fastcall Tfilterform::co_low_passChange(TObject *Sender)
{
 lowpass_co_label->Caption = AnsiString(co_low_pass->Position) + "%";
}
//---------------------------------------------------------------------------


void __fastcall Tfilterform::co_high_passChange(TObject *Sender)
{
highpass_co_label->Caption = AnsiString(co_high_pass->Position) + "%";
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_highpassClick(TObject *Sender)
{
  mainform->batch->Items->Add("High_pass " + AnsiString(co_high_pass->Position));
  filterform->Close();
}
//---------------------------------------------------------------------------



void __fastcall Tfilterform::FormShow(TObject *Sender)
{
label_narrow_pass_info->Caption = "Frequency to pass (Max: " + AnsiString(mainform->wave1.header.sample_rate / 2) + "Hz)";
label_narrow_reject_info->Caption = "Frequency to reject (Max: " + AnsiString(mainform->wave1.header.sample_rate / 2) + "Hz)";
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_narrowpassClick(TObject *Sender)
{
  mainform->batch->Items->Add("Narrow_pass " + AnsiString(co_narrow_pass->Text));
  filterform->Close();
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_narrowrejectClick(TObject *Sender)
{
  mainform->batch->Items->Add("Narrow_reject " + AnsiString(co_narrow_reject->Text));
  filterform->Close();
}
//---------------------------------------------------------------------------



void __fastcall Tfilterform::reverb_wetChange(TObject *Sender)
{
label_reverb->Caption = AnsiString(reverb_wet->Position) + "%";
}
//---------------------------------------------------------------------------

void __fastcall Tfilterform::add_reverbClick(TObject *Sender)
{
  mainform->batch->Items->Add("Reverb " + AnsiString(reverb_delay->Text + " " + AnsiString(reverb_wet->Position) + " " + AnsiString(minimp->Position)));
  filterform->Close();
}
//---------------------------------------------------------------------------

