//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include "bliepdsp.h"
#include "graph.h"
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "selectfilter.h"
#include <Menus.hpp>
#include <Chart.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <MPlayer.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class Tmainform : public TForm
{
__published:	// IDE-managed Components
        TOpenDialog *OpenDialog1;
        TGroupBox *GroupBox1;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TLabel *label_audioformat;
        TLabel *label_numchannels;
        TLabel *label_samplerate;
        TLabel *label_byterate;
        TLabel *label_blockalign;
        TLabel *label_bitspersample;
        TLabel *Label5;
        TLabel *label_duration;
        TImage *graphcanvas;
        TPanel *Panel1;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TSpeedButton *SpeedButton3;
        TComboBox *zoomlevel;
        TSaveDialog *SaveDialog1;
        TGroupBox *GroupBox4;
        TListBox *batch;
        TButton *Add_filter;
        TButton *Delete_filter;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TButton *Button5;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Open1;
        TMenuItem *SaveFile1;
        TMenuItem *Edit1;
        TMenuItem *Cut1;
        TMenuItem *Copy1;
        TMenuItem *Past1;
        TMenuItem *Batch1;
        TMenuItem *Add1;
        TMenuItem *Deletefilter1;
        TMenuItem *Runbatch1;
        TMenuItem *Savebatchtofile1;
        TMenuItem *Run1;
        TMenuItem *About1;
        TMenuItem *About3;
        TPanel *Panel2;
        TImage *btn_play;
        TImage *btn_stop;
        TImage *btn_pause;
        TLabel *label_position;
        TTimer *mainTimer;
        TMenuItem *Settings1;
        TMenuItem *Quit;
        TImage *Image1;
        TImage *Image2;
        void __fastcall Open_fileClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall SpeedButton3Click(TObject *Sender);
        void __fastcall graphcanvasMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall graphcanvasMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall graphcanvasMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall zoomlevelChange(TObject *Sender);
        void __fastcall Add_filterClick(TObject *Sender);
        void __fastcall Delete_filterClick(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall SaveFile1Click(TObject *Sender);
        void __fastcall Runbatch1Click(TObject *Sender);
        void __fastcall Savebatchtofile1Click(TObject *Sender);
        void __fastcall Cut1Click(TObject *Sender);
        void __fastcall Copy1Click(TObject *Sender);
        void __fastcall Past1Click(TObject *Sender);
        void __fastcall btn_playClick(TObject *Sender);
        void __fastcall mainTimerTimer(TObject *Sender);
        void __fastcall btn_stopClick(TObject *Sender);
        void __fastcall btn_pauseClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Settings1Click(TObject *Sender);
        void __fastcall Selectall1Click(TObject *Sender);
        void __fastcall QuitClick(TObject *Sender);
        void __fastcall Image1Click(TObject *Sender);
        void __fastcall Image2Click(TObject *Sender);
        void __fastcall About3Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall Tmainform(TComponent* Owner);
        bliepdsp wave1, wave2;
        int scrollspeed;
        graphformat graph;
};
//---------------------------------------------------------------------------
extern PACKAGE Tmainform *mainform;
//---------------------------------------------------------------------------
#endif
