#include "code_parser.h"
#include "bliepdsp.h"
#include <stdio.h>

void code_parser (TListBox *batch, bliepdsp *input, bliepdsp *output)
{
  char filtername[20];
  int param1, param2, param3;
  for (int i=0; i < batch->Items->Count; i++) {
    sscanf(batch->Items->Strings[i].c_str(),"%s %d %d %d", &filtername, &param1, &param2, &param3);
    *input = *output;
    if (strcmp(filtername,"Echo") == 0) {
      input->filter_echo(output,param1,param2);
    }
    if (strcmp(filtername,"Reverb") == 0) {
      input->filter_reverb(output,param1,param2,param3);
    }
    if (strcmp(filtername,"Reverse") == 0) {
      input->filter_backwards(output);
    }
    if (strcmp(filtername,"Stretch") == 0) {
      if(param1 == 100)
        param1 = 101;
      input->filter_stretch(output,param1);
    }
    if (strcmp(filtername,"Low_pass") == 0) {
      input->filter_recursive(output,LOW_PASS,param1);
    }
    if (strcmp(filtername,"High_pass") == 0) {
      input->filter_recursive(output,HIGH_PASS,param1);
    }
    if (strcmp(filtername,"Narrow_pass") == 0) {
      input->filter_recursive(output,NARROW_PASS,param1);
    }
    if (strcmp(filtername,"Narrow_reject") == 0) {
      input->filter_recursive(output,NARROW_REJECT,param1);
    }
    if (strcmp(filtername,"Fade_in") == 0) {
      input->fade_in(output,param1);
    }
    if (strcmp(filtername,"Fade_out") == 0) {
      input->fade_out(output,param1);
    }
  }
}
