#ifndef graphH
#define graphH
#include <vcl.h>
#include "bliepdsp.h"

class graphformat {

  private:
    TImage *graph;
    bliepdsp *wave;
    TLabel *Label1, *Label2, *Label3, *Label4;
    bool set;

  public:
    //Public functies
    graphformat (); /* Constructor */
    void init (TImage *graph1, TLabel *label1, TLabel *label2, TLabel *label3, TLabel *label4);
    void data (bliepdsp *wave_in);
    void draw (unsigned int start, unsigned int end);
    void select (unsigned int start, unsigned int end);
    void playback (unsigned int currentsample);
    void update_time_indication ();
    void clear ();

    //Public variabelen
    TColor bgcolor, lblcolor, txtcolor, linecolor, samplecolor, selectioncolor, playbackcolor;
    int startsample, endsample;
    int startselection, endselection;
};

#endif
